.Dd November 30, 2023
.Dt LBXTOOL \&1 "2ooM Reference Manual"
.Os liblbx
.Sh NAME
.Nm lbxtool
.Nd manipulate LBX archives
.Sh SYNOPSIS
.Nm
.Op Fl l Ns | Ns Fl x
.Op Fl v
.Op Fl f Ar path
.Op Ar
.Sh DESCRIPTION
.Nm
lists and extracts files from LBX archives (the format used by Moo2),
using
.Em liblbx .
.Sh OPTIONS
.Bl -tag -width indent
.It Fl l , \-list
Sets the operating mode to list files in the archive.
.It Fl x , \-extract
Sets the operating mode to extract files from the archive.
.It Fl v , \-verbose
Output additional information on standard output.
.It Fl f , \-file Ar path
Read from the specified
.Ar path
instead of standard input.
.It Fl V , \-version
Print a version message and exit.
.It Fl H , \-help
Print a help message and exit
.It Ar
Limit the operation to these files in the archive.  By default, all files are
selected.  Supports common shell globbing features.
.El
.Sh CAVEATS
When extracting from an archive read from standard input, be sure to specify
files in the order that they appear in the archive.  This limitation will
hopefully be lifted in the future.
.Sh AUTHORS
Nick Bowler <nbowler@draconx.ca>
.Sh COPYRIGHT
Copyright \(co 2008, 2010, 2021, 2023 Nick Bowler
.Pp
Permission is granted to copy, distribute and/or modify this manual under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.
